Custom Search Element API 1.0 was deprecated on December 4, 2017

 

The Custom Search Element API 1.0, which was deprecated in 2012 in favor of API 2.0, is now no longer maintained. API 1.0 will stop working on December 4, 2017.

You can check if you’re using the 1.0 version by looking at the code on your search page for a call to google.search.CustomSearchControl.  If you are, read on:

Next Steps

Please update your website to use the Custom Search Element API 2.0. The easiest way to transition is through the CSE Control Panel at cse.google.com, where you can generate your new Custom Search Engine code and add it to your website.

For more information, please see the official Google CSE team post.

Submit a Comment